Package icyllis.modernui.graphics

# Enum Class Canvas.VertexMode

java.lang.Object
java.lang.Enum<Canvas.VertexMode>
icyllis.modernui.graphics.Canvas.VertexMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Canvas.VertexMode>`, `Constable`

Enclosing class:
  `Canvas`

public static enum Canvas.VertexMode extends Enum<Canvas.VertexMode>
Supported primitive topologies, corresponding to OpenGL and Vulkan defined values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINE_STRIP`
  `LINES`
  `POINTS`
  `TRIANGLE_STRIP`
  `TRIANGLES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Canvas.VertexMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Canvas.VertexMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POINTS

    public static final Canvas.VertexMode POINTS

  - ### LINES

    public static final Canvas.VertexMode LINES

  - ### LINE_STRIP

    public static final Canvas.VertexMode LINE_STRIP

  - ### TRIANGLES

    public static final Canvas.VertexMode TRIANGLES

  - ### TRIANGLE_STRIP

    public static final Canvas.VertexMode TRIANGLE_STRIP

- ## Method Details

  - ### values

    public static Canvas.VertexMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Canvas.VertexMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null